output(t) c:\res\stockreg\ff\pffl4
' This EViews program estimates the default equation for the
' S&P for 6 different 2-month periods in 1999 and 2002.
' The idea is to check for integration inside US stock markets,
' using the Fama-French factor model
'
' This is a perturbation of \res\stockreg\ff\pffl1 that
' uses portfolios, not individuals firms.  The portfolios are
' arbitrary groups of 5 firms.
'
' The samples are:
' 1999: April-May (41 days) sample 1
' 1999: July-August (43) sample 2
' 1999: October-November (42) sample 3
' 2002: April-May (44) sample 4
' 2002: July-August (44) sample 5
' 2002: October-November (43) sample 6
'
' Each sample has 100 firms grouped into 20 portfolios of 5 firms each.
' and we lose 1 lead (regressand and 1 lag (normalization) each period.
'
' The factors are:
' mktmrf (variables "fx" coefficients "1x")
' smb (variables 'gx" coefficients "2x")
' hml (variables 'hx' coefficients "3x")
' intercepts (variables 'ix' coefficients "4x")
'
' Load the data set
'
load \res\stockreg\ff\dataffl1
smpl @all
'
' Create the time dummies
'
genr t02=(bday=2)
genr t03=(bday=3)
genr t04=(bday=4)
genr t05=(bday=5)
genr t06=(bday=6)
genr t07=(bday=7)
genr t08=(bday=8)
genr t09=(bday=9)
genr t10=(bday=10)
genr t11=(bday=11)
genr t12=(bday=12)
genr t13=(bday=13)
genr t14=(bday=14)
genr t15=(bday=15)
genr t16=(bday=16)
genr t17=(bday=17)
genr t18=(bday=18)
genr t19=(bday=19)
genr t20=(bday=20)
genr t21=(bday=21)
genr t22=(bday=22)
genr t23=(bday=23)
genr t24=(bday=24)
genr t25=(bday=25)
genr t26=(bday=26)
genr t27=(bday=27)
genr t28=(bday=28)
genr t29=(bday=29)
genr t30=(bday=30)
genr t31=(bday=31)
genr t32=(bday=32)
genr t33=(bday=33)
genr t34=(bday=34)
genr t35=(bday=35)
genr t36=(bday=36)
genr t37=(bday=37)
genr t38=(bday=38)
genr t39=(bday=39)
genr t40=(bday=40)
genr t41=(bday=41)
genr t42=(bday=42)
genr t43=(bday=43)
'
' Create the portfolio interactive dummies: mktmrf
'
genr f01=(portn=1)*mktmrf
genr f02=(portn=2)*mktmrf
genr f03=(portn=3)*mktmrf
genr f04=(portn=4)*mktmrf
genr f05=(portn=5)*mktmrf
genr f06=(portn=6)*mktmrf
genr f07=(portn=7)*mktmrf
genr f08=(portn=8)*mktmrf
genr f09=(portn=9)*mktmrf
genr f10=(portn=10)*mktmrf
genr f11=(portn=11)*mktmrf
genr f12=(portn=12)*mktmrf
genr f13=(portn=13)*mktmrf
genr f14=(portn=14)*mktmrf
genr f15=(portn=15)*mktmrf
genr f16=(portn=16)*mktmrf
genr f17=(portn=17)*mktmrf
genr f18=(portn=18)*mktmrf
genr f19=(portn=19)*mktmrf
genr f20=(portn=20)*mktmrf
'
' Create the portfolio interactive dummies: smb
'
genr g01=(portn=1)*smb
genr g02=(portn=2)*smb
genr g03=(portn=3)*smb
genr g04=(portn=4)*smb
genr g05=(portn=5)*smb
genr g06=(portn=6)*smb
genr g07=(portn=7)*smb
genr g08=(portn=8)*smb
genr g09=(portn=9)*smb
genr g10=(portn=10)*smb
genr g11=(portn=11)*smb
genr g12=(portn=12)*smb
genr g13=(portn=13)*smb
genr g14=(portn=14)*smb
genr g15=(portn=15)*smb
genr g16=(portn=16)*smb
genr g17=(portn=17)*smb
genr g18=(portn=18)*smb
genr g19=(portn=19)*smb
genr g20=(portn=20)*smb
'
' Create the portfolio interactive dummies: hml
'
genr h01=(portn=1)*hml
genr h02=(portn=2)*hml
genr h03=(portn=3)*hml
genr h04=(portn=4)*hml
genr h05=(portn=5)*hml
genr h06=(portn=6)*hml
genr h07=(portn=7)*hml
genr h08=(portn=8)*hml
genr h09=(portn=9)*hml
genr h10=(portn=10)*hml
genr h11=(portn=11)*hml
genr h12=(portn=12)*hml
genr h13=(portn=13)*hml
genr h14=(portn=14)*hml
genr h15=(portn=15)*hml
genr h16=(portn=16)*hml
genr h17=(portn=17)*hml
genr h18=(portn=18)*hml
genr h19=(portn=19)*hml
genr h20=(portn=20)*hml
'
' Create the portfolio interactive dummies: intercepts
'
genr i01=(portn=1)
genr i02=(portn=2)
genr i03=(portn=3)
genr i04=(portn=4)
genr i05=(portn=5)
genr i06=(portn=6)
genr i07=(portn=7)
genr i08=(portn=8)
genr i09=(portn=9)
genr i10=(portn=10)
genr i11=(portn=11)
genr i12=(portn=12)
genr i13=(portn=13)
genr i14=(portn=14)
genr i15=(portn=15)
genr i16=(portn=16)
genr i17=(portn=17)
genr i18=(portn=18)
genr i19=(portn=19)
genr i20=(portn=20)
'
' Create the 2- and 1-day returns
'
sort sample portn bday
smpl if (portn(+1)=portn(-1))
genr lhs=port(+1)/port(-1)
genr rhs=port/port(-1)
'
' Sample 1: April-May 1999
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if (sample=1)and((portn>00.5)and(portn<10.5))and((bday>1.5)and(bday<40.5))
equation e1st.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+rhs)
e1st.results(p)
' Second Half
smpl if (sample=1)and((portn>10.5)and(portn<20.5))and((bday>1.5)and(bday<40.5))
equation e2nd.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40))*((c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
e2nd.results(p)
' All
smpl if (sample=1)and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<40.5))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
eall.results(p)
eall.hist(p)
'
' Sample 2: July-August 1999
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if (sample=2)and((portn>00.5)and(portn<10.5))and((bday>1.5)and(bday<42.5))
equation e1st.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+rhs)
e1st.results(p)
' Second Half
smpl if (sample=2)and((portn>10.5)and(portn<20.5))and((bday>1.5)and(bday<42.5))
equation e2nd.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
e2nd.results(p)
' All
smpl if (sample=2)and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<42.5))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
eall.results(p)
eall.hist(p)
'
' Sample 3: October-November 1999
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if (sample=3)and((portn>00.5)and(portn<10.5))and((bday>1.5)and(bday<41.5))
equation e1st.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+rhs)
e1st.results(p)
' Second Half
smpl if (sample=3)and((portn>10.5)and(portn<20.5))and((bday>1.5)and(bday<41.5))
equation e2nd.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41))*((c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
e2nd.results(p)
' All
smpl if (sample=3)and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<41.5))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
eall.results(p)
eall.hist(p)
'
' Sample 4: April-May 2002
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if (sample=4)and((portn>00.5)and(portn<10.5))and((bday>1.5)and(bday<43.5))
equation e1st.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+rhs)
e1st.results(p)
' Second Half
smpl if (sample=4)and((portn>10.5)and(portn<20.5))and((bday>1.5)and(bday<43.5))
equation e2nd.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
e2nd.results(p)
' All
smpl if (sample=4)and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<43.5))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
eall.results(p)
eall.hist(p)
'
' Sample 5: July-August 2002
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if (sample=5)and((portn>00.5)and(portn<10.5))and((bday>1.5)and(bday<43.5))
equation e1st.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+rhs)
e1st.results(p)
' Second Half
smpl if (sample=5)and((portn>10.5)and(portn<20.5))and((bday>1.5)and(bday<43.5))
equation e2nd.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
e2nd.results(p)
' All
smpl if (sample=5)and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<43.5))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
eall.results(p)
eall.hist(p)
'
' Sample 6: October-November 2002
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if (sample=6)and((portn>00.5)and(portn<10.5))and((bday>1.5)and(bday<42.5))
equation e1st.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+rhs)
e1st.results(p)
' Second Half
smpl if (sample=6)and((portn>10.5)and(portn<20.5))and((bday>1.5)and(bday<42.5))
equation e2nd.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
e2nd.results(p)
' All
smpl if (sample=6)and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<42.5))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
eall.results(p)
eall.hist(p)

output off
