output(t) c:\res\stockreg\ff\pffl9
' This EViews program estimates the default equation for the
' S&P vs the NASDAQ and both markets individually for 6 different 2-month periods
' in 1999 and 2002.
' The idea is to check for integration within and across US stock markets,
' using a model with portfolio-specific intercepts only
' residuals.
'
' This is a perturbation of \res\stockreg\ff\pffl7 that uses only intercepts, no factors
'
' The samples are:
' 1999: April-May (41 days) sample 1
' 1999: July-August (43) sample 2
' 1999: October-November (42) sample 3
' 2002: April-May (44) sample 4
' 2002: July-August (44) sample 5
' 2002: October-November (43) sample 6
'
' Each sample has 20 portfolios
' and we lose 1 lead (regressand and 1 lag (normalization) each period.
'
' The factors are:
' intercepts (variables 'inx' and "isx"; coefficients "6x" and "4x")
'
' Load the data set
'
load \res\stockreg\ff\dataffl2
smpl @all
'
' Create the time dummies
'
genr t02=(bday=2)
genr t03=(bday=3)
genr t04=(bday=4)
genr t05=(bday=5)
genr t06=(bday=6)
genr t07=(bday=7)
genr t08=(bday=8)
genr t09=(bday=9)
genr t10=(bday=10)
genr t11=(bday=11)
genr t12=(bday=12)
genr t13=(bday=13)
genr t14=(bday=14)
genr t15=(bday=15)
genr t16=(bday=16)
genr t17=(bday=17)
genr t18=(bday=18)
genr t19=(bday=19)
genr t20=(bday=20)
genr t21=(bday=21)
genr t22=(bday=22)
genr t23=(bday=23)
genr t24=(bday=24)
genr t25=(bday=25)
genr t26=(bday=26)
genr t27=(bday=27)
genr t28=(bday=28)
genr t29=(bday=29)
genr t30=(bday=30)
genr t31=(bday=31)
genr t32=(bday=32)
genr t33=(bday=33)
genr t34=(bday=34)
genr t35=(bday=35)
genr t36=(bday=36)
genr t37=(bday=37)
genr t38=(bday=38)
genr t39=(bday=39)
genr t40=(bday=40)
genr t41=(bday=41)
genr t42=(bday=42)
genr t43=(bday=43)
'
' First S&P variables
'
' Create the portfolio interactive dummies: intercepts
'
genr is01=(asset=1)*(portn=1)
genr is02=(asset=1)*(portn=2)
genr is03=(asset=1)*(portn=3)
genr is04=(asset=1)*(portn=4)
genr is05=(asset=1)*(portn=5)
genr is06=(asset=1)*(portn=6)
genr is07=(asset=1)*(portn=7)
genr is08=(asset=1)*(portn=8)
genr is09=(asset=1)*(portn=9)
genr is10=(asset=1)*(portn=10)
genr is11=(asset=1)*(portn=11)
genr is12=(asset=1)*(portn=12)
genr is13=(asset=1)*(portn=13)
genr is14=(asset=1)*(portn=14)
genr is15=(asset=1)*(portn=15)
genr is16=(asset=1)*(portn=16)
genr is17=(asset=1)*(portn=17)
genr is18=(asset=1)*(portn=18)
genr is19=(asset=1)*(portn=19)
genr is20=(asset=1)*(portn=20)
'
' Second NASDAQ variables
'
' Create the portfolio interactive dummies: intercepts
'
genr in01=(asset=2)*(portn=1)
genr in02=(asset=2)*(portn=2)
genr in03=(asset=2)*(portn=3)
genr in04=(asset=2)*(portn=4)
genr in05=(asset=2)*(portn=5)
genr in06=(asset=2)*(portn=6)
genr in07=(asset=2)*(portn=7)
genr in08=(asset=2)*(portn=8)
genr in09=(asset=2)*(portn=9)
genr in10=(asset=2)*(portn=10)
genr in11=(asset=2)*(portn=11)
genr in12=(asset=2)*(portn=12)
genr in13=(asset=2)*(portn=13)
genr in14=(asset=2)*(portn=14)
genr in15=(asset=2)*(portn=15)
genr in16=(asset=2)*(portn=16)
genr in17=(asset=2)*(portn=17)
genr in18=(asset=2)*(portn=18)
genr in19=(asset=2)*(portn=19)
genr in20=(asset=2)*(portn=20)
'
' Create the 2- and 1-day returns
'
sort sample asset portn bday
smpl if (portn(+1)=portn(-1))
genr lhs=port(+1)/port(-1)
genr rhs=port/port(-1)
'
' Set up a table for results
'
table(42,102) results
setcell(results,1,1, "Log Likelihoods")
results(2,1) = "S&P1st S1"
results(2,2) = "S&P2nd S1"
results(2,3) = "S&PAll S1"
results(2,4) = "NAS1st S1"
results(2,5) = "NAS2nd S1"
results(2,6) = "NASAll S1"
results(2,7) = "Both S1"
results(2,8) = "S&P1st S2"
results(2,9) = "S&P2nd S2"
results(2,10) = "S&PAll S2"
results(2,11) = "NAS1st S2"
results(2,12) = "NAS2nd S2"
results(2,13) = "NASAll S2"
results(2,14) = "Both S2"
results(2,15) = "S&P1st S3"
results(2,16) = "S&P2nd S3"
results(2,17) = "S&PAll S3"
results(2,18) = "NAS1st S3"
results(2,19) = "NAS2nd S3"
results(2,20) = "NASAll S3"
results(2,21) = "Both S3"
results(2,22) = "S&P1st S4"
results(2,23) = "S&P2nd S4"
results(2,24) = "S&PAll S4"
results(2,25) = "NAS1st S4"
results(2,26) = "NAS2nd S4"
results(2,27) = "NASAll S4"
results(2,28) = "Both S4"
results(2,29) = "S&P1st S5"
results(2,30) = "S&P2nd S5"
results(2,31) = "S&PAll S5"
results(2,32) = "NAS1st S5"
results(2,33) = "NAS2nd S5"
results(2,34) = "NASAll S5"
results(2,35) = "Both S5"
results(2,36) = "S&P1st S6"
results(2,37) = "S&P2nd S6"
results(2,38) = "S&PAll S6"
results(2,39) = "NAS1st S6"
results(2,40) = "NAS2nd S6"
results(2,41) = "NASAll S6"
results(2,42) = "Both S6"

'
' Sample 1: April-May 1999
'
' Estimate the equations for the S&P (and then NASDAQ) in halves, then jointly, and then the S&P with the NASDAQ jointly
' S&P
smpl if ((sample=1)and(asset=1))and((portn>00.5)and(portn<10.5))and((bday>1.5)and(bday<40.5))
equation eblhss1.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40))*((c(401)*is01)+(c(402)*is02)+(c(403)*is03)+(c(404)*is04)+(c(405)*is05)+(c(406)*is06)+(c(407)*is07)+(c(408)*is08)+(c(409)*is09)+(c(410)*is10)+rhs)
scalar junk=eblhss1.@logl
results(2,1)=junk
delete junk
smpl if ((sample=1)and(asset=1))and((portn>10.5)and(portn<20.5))and((bday>1.5)and(bday<40.5))
equation eblhss1.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40))*((c(411)*is11)+(c(412)*is12)+(c(413)*is13)+(c(414)*is14)+(c(415)*is15)+(c(416)*is16)+(c(417)*is17)+(c(418)*is18)+(c(419)*is19)+(c(420)*is20)+rhs)
scalar junk=eblhss1.@logl
results(2,2)=junk
delete junk
smpl if ((sample=1)and(asset=1))and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<40.5))
equation eblhss1.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40))*((c(401)*is01)+(c(402)*is02)+(c(403)*is03)+(c(404)*is04)+(c(405)*is05)+(c(406)*is06)+(c(407)*is07)+(c(408)*is08)+(c(409)*is09)+(c(410)*is10)+(c(411)*is11)+(c(412)*is12)+(c(413)*is13)+(c(414)*is14)+(c(415)*is15)+(c(416)*is16)+(c(417)*is17)+(c(418)*is18)+(c(419)*is19)+(c(420)*is20)+rhs)
scalar junk=eblhss1.@logl
results(2,3)=junk
delete junk
' NASDAQ
smpl if ((sample=1)and(asset=2))and((portn>00.5)and(portn<10.5))and((bday>1.5)and(bday<40.5))
equation eblhsn1.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40))*((c(601)*in01)+(c(602)*in02)+(c(603)*in03)+(c(604)*in04)+(c(605)*in05)+(c(606)*in06)+(c(607)*in07)+(c(608)*in08)+(c(609)*in09)+(c(610)*in10)+rhs)
scalar junk=eblhsn1.@logl
results(2,4)=junk
delete junk
smpl if ((sample=1)and(asset=2))and((portn>10.5)and(portn<20.5))and((bday>1.5)and(bday<40.5))
equation eblhsn1.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40))*((c(611)*in11)+(c(612)*in12)+(c(613)*in13)+(c(614)*in14)+(c(615)*in15)+(c(616)*in16)+(c(617)*in17)+(c(618)*in18)+(c(619)*in19)+(c(620)*in20)+rhs)
scalar junk=eblhsn1.@logl
results(2,5)=junk
delete junk
smpl if ((sample=1)and(asset=2))and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<40.5))
equation eblhsn1.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40))*((c(601)*in01)+(c(602)*in02)+(c(603)*in03)+(c(604)*in04)+(c(605)*in05)+(c(606)*in06)+(c(607)*in07)+(c(608)*in08)+(c(609)*in09)+(c(610)*in10)+(c(611)*in11)+(c(612)*in12)+(c(613)*in13)+(c(614)*in14)+(c(615)*in15)+(c(616)*in16)+(c(617)*in17)+(c(618)*in18)+(c(619)*in19)+(c(620)*in20)+rhs)
scalar junk=eblhsn1.@logl
results(2,6)=junk
delete junk
' Combined
smpl if (sample=1)and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<40.5))
equation eblhsall1.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40))*((c(401)*is01)+(c(402)*is02)+(c(403)*is03)+(c(404)*is04)+(c(405)*is05)+(c(406)*is06)+(c(407)*is07)+(c(408)*is08)+(c(409)*is09)+(c(410)*is10)+(c(411)*is11)+(c(412)*is12)+(c(413)*is13)+(c(414)*is14)+(c(415)*is15)+(c(416)*is16)+(c(417)*is17)+(c(418)*is18)+(c(419)*is19)+(c(420)*is20)+(c(601)*in01)+(c(602)*in02)+(c(603)*in03)+(c(604)*in04)+(c(605)*in05)+(c(606)*in06)+(c(607)*in07)+(c(608)*in08)+(c(609)*in09)+(c(610)*in10)+(c(611)*in11)+(c(612)*in12)+(c(613)*in13)+(c(614)*in14)+(c(615)*in15)+(c(616)*in16)+(c(617)*in17)+(c(618)*in18)+(c(619)*in19)+(c(620)*in20)+rhs)
scalar junk=eblhsall1.@logl
results(2,7)=junk
delete junk
'
' Sample 2: July-August 1999
'
' Estimate the equations for the S&P (and then NASDAQ) in halves, then jointly, and then the S&P with the NASDAQ jointly
' S&P
smpl if ((sample=2)and(asset=1))and((portn>00.5)and(portn<10.5))and((bday>1.5)and(bday<42.5))
equation eblhss2.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(401)*is01)+(c(402)*is02)+(c(403)*is03)+(c(404)*is04)+(c(405)*is05)+(c(406)*is06)+(c(407)*is07)+(c(408)*is08)+(c(409)*is09)+(c(410)*is10)+rhs)
scalar junk=eblhss2.@logl
results(2,8)=junk
delete junk
smpl if ((sample=2)and(asset=1))and((portn>10.5)and(portn<20.5))and((bday>1.5)and(bday<42.5))
equation eblhss2.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(411)*is11)+(c(412)*is12)+(c(413)*is13)+(c(414)*is14)+(c(415)*is15)+(c(416)*is16)+(c(417)*is17)+(c(418)*is18)+(c(419)*is19)+(c(420)*is20)+rhs)
scalar junk=eblhss2.@logl
results(2,9)=junk
delete junk
smpl if ((sample=2)and(asset=1))and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<42.5))
equation eblhss2.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(401)*is01)+(c(402)*is02)+(c(403)*is03)+(c(404)*is04)+(c(405)*is05)+(c(406)*is06)+(c(407)*is07)+(c(408)*is08)+(c(409)*is09)+(c(410)*is10)+(c(411)*is11)+(c(412)*is12)+(c(413)*is13)+(c(414)*is14)+(c(415)*is15)+(c(416)*is16)+(c(417)*is17)+(c(418)*is18)+(c(419)*is19)+(c(420)*is20)+rhs)
scalar junk=eblhss2.@logl
results(2,10)=junk
delete junk
' NASDAQ
smpl if ((sample=2)and(asset=2))and((portn>00.5)and(portn<10.5))and((bday>1.5)and(bday<42.5))
equation eblhsn2.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(601)*in01)+(c(602)*in02)+(c(603)*in03)+(c(604)*in04)+(c(605)*in05)+(c(606)*in06)+(c(607)*in07)+(c(608)*in08)+(c(609)*in09)+(c(610)*in10)+rhs)
scalar junk=eblhsn2.@logl
results(2,11)=junk
delete junk
smpl if ((sample=2)and(asset=2))and((portn>10.5)and(portn<20.5))and((bday>1.5)and(bday<42.5))
equation eblhsn2.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(611)*in11)+(c(612)*in12)+(c(613)*in13)+(c(614)*in14)+(c(615)*in15)+(c(616)*in16)+(c(617)*in17)+(c(618)*in18)+(c(619)*in19)+(c(620)*in20)+rhs)
scalar junk=eblhsn2.@logl
results(2,12)=junk
delete junk
smpl if ((sample=2)and(asset=2))and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<42.5))
equation eblhsn2.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(601)*in01)+(c(602)*in02)+(c(603)*in03)+(c(604)*in04)+(c(605)*in05)+(c(606)*in06)+(c(607)*in07)+(c(608)*in08)+(c(609)*in09)+(c(610)*in10)+(c(611)*in11)+(c(612)*in12)+(c(613)*in13)+(c(614)*in14)+(c(615)*in15)+(c(616)*in16)+(c(617)*in17)+(c(618)*in18)+(c(619)*in19)+(c(620)*in20)+rhs)
scalar junk=eblhsn2.@logl
results(2,13)=junk
delete junk
' Combined
smpl if (sample=2)and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<42.5))
equation eblhsall2.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(401)*is01)+(c(402)*is02)+(c(403)*is03)+(c(404)*is04)+(c(405)*is05)+(c(406)*is06)+(c(407)*is07)+(c(408)*is08)+(c(409)*is09)+(c(410)*is10)+(c(411)*is11)+(c(412)*is12)+(c(413)*is13)+(c(414)*is14)+(c(415)*is15)+(c(416)*is16)+(c(417)*is17)+(c(418)*is18)+(c(419)*is19)+(c(420)*is20)+(c(601)*in01)+(c(602)*in02)+(c(603)*in03)+(c(604)*in04)+(c(605)*in05)+(c(606)*in06)+(c(607)*in07)+(c(608)*in08)+(c(609)*in09)+(c(610)*in10)+(c(611)*in11)+(c(612)*in12)+(c(613)*in13)+(c(614)*in14)+(c(615)*in15)+(c(616)*in16)+(c(617)*in17)+(c(618)*in18)+(c(619)*in19)+(c(620)*in20)+rhs)
scalar junk=eblhsall2.@logl
results(2,14)=junk
delete junk
'
' Sample 3: October-November 1999
'
' Estimate the equations for the S&P (and then NASDAQ) in halves, then jointly, and then the S&P with the NASDAQ jointly
' S&P
smpl if ((sample=3)and(asset=1))and((portn>00.5)and(portn<10.5))and((bday>1.5)and(bday<41.5))
equation eblhss3.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41))*((c(401)*is01)+(c(402)*is02)+(c(403)*is03)+(c(404)*is04)+(c(405)*is05)+(c(406)*is06)+(c(407)*is07)+(c(408)*is08)+(c(409)*is09)+(c(410)*is10)+rhs)
scalar junk=eblhss3.@logl
results(2,15)=junk
delete junk
smpl if ((sample=3)and(asset=1))and((portn>10.5)and(portn<20.5))and((bday>1.5)and(bday<41.5))
equation eblhss3.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41))*((c(411)*is11)+(c(412)*is12)+(c(413)*is13)+(c(414)*is14)+(c(415)*is15)+(c(416)*is16)+(c(417)*is17)+(c(418)*is18)+(c(419)*is19)+(c(420)*is20)+rhs)
scalar junk=eblhss3.@logl
results(2,16)=junk
delete junk
smpl if ((sample=3)and(asset=1))and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<41.5))
equation eblhss3.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41))*((c(401)*is01)+(c(402)*is02)+(c(403)*is03)+(c(404)*is04)+(c(405)*is05)+(c(406)*is06)+(c(407)*is07)+(c(408)*is08)+(c(409)*is09)+(c(410)*is10)+(c(411)*is11)+(c(412)*is12)+(c(413)*is13)+(c(414)*is14)+(c(415)*is15)+(c(416)*is16)+(c(417)*is17)+(c(418)*is18)+(c(419)*is19)+(c(420)*is20)+rhs)
scalar junk=eblhss3.@logl
results(2,17)=junk
delete junk
' NASDAQ
smpl if ((sample=3)and(asset=2))and((portn>00.5)and(portn<10.5))and((bday>1.5)and(bday<41.5))
equation eblhsn3.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41))*((c(601)*in01)+(c(602)*in02)+(c(603)*in03)+(c(604)*in04)+(c(605)*in05)+(c(606)*in06)+(c(607)*in07)+(c(608)*in08)+(c(609)*in09)+(c(610)*in10)+rhs)
scalar junk=eblhsn3.@logl
results(2,18)=junk
delete junk
smpl if ((sample=3)and(asset=2))and((portn>10.5)and(portn<20.5))and((bday>1.5)and(bday<41.5))
equation eblhsn3.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41))*((c(611)*in11)+(c(612)*in12)+(c(613)*in13)+(c(614)*in14)+(c(615)*in15)+(c(616)*in16)+(c(617)*in17)+(c(618)*in18)+(c(619)*in19)+(c(620)*in20)+rhs)
scalar junk=eblhsn3.@logl
results(2,19)=junk
delete junk
smpl if ((sample=3)and(asset=2))and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<41.5))
equation eblhsn3.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41))*((c(601)*in01)+(c(602)*in02)+(c(603)*in03)+(c(604)*in04)+(c(605)*in05)+(c(606)*in06)+(c(607)*in07)+(c(608)*in08)+(c(609)*in09)+(c(610)*in10)+(c(611)*in11)+(c(612)*in12)+(c(613)*in13)+(c(614)*in14)+(c(615)*in15)+(c(616)*in16)+(c(617)*in17)+(c(618)*in18)+(c(619)*in19)+(c(620)*in20)+rhs)
scalar junk=eblhsn3.@logl
results(2,20)=junk
delete junk
' Combined
smpl if (sample=3)and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<41.5))
equation eblhsall3.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41))*((c(401)*is01)+(c(402)*is02)+(c(403)*is03)+(c(404)*is04)+(c(405)*is05)+(c(406)*is06)+(c(407)*is07)+(c(408)*is08)+(c(409)*is09)+(c(410)*is10)+(c(411)*is11)+(c(412)*is12)+(c(413)*is13)+(c(414)*is14)+(c(415)*is15)+(c(416)*is16)+(c(417)*is17)+(c(418)*is18)+(c(419)*is19)+(c(420)*is20)+(c(601)*in01)+(c(602)*in02)+(c(603)*in03)+(c(604)*in04)+(c(605)*in05)+(c(606)*in06)+(c(607)*in07)+(c(608)*in08)+(c(609)*in09)+(c(610)*in10)+(c(611)*in11)+(c(612)*in12)+(c(613)*in13)+(c(614)*in14)+(c(615)*in15)+(c(616)*in16)+(c(617)*in17)+(c(618)*in18)+(c(619)*in19)+(c(620)*in20)+rhs)
scalar junk=eblhsall3.@logl
results(2,21)=junk
delete junk
'
' Sample 4: April-May 2002
'
' Estimate the equations for the S&P (and then NASDAQ) in halves, then jointly, and then the S&P with the NASDAQ jointly
' S&P
smpl if ((sample=4)and(asset=1))and((portn>00.5)and(portn<10.5))and((bday>1.5)and(bday<43.5))
equation eblhss4.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(401)*is01)+(c(402)*is02)+(c(403)*is03)+(c(404)*is04)+(c(405)*is05)+(c(406)*is06)+(c(407)*is07)+(c(408)*is08)+(c(409)*is09)+(c(410)*is10)+rhs)
scalar junk=eblhss4.@logl
results(2,22)=junk
delete junk
smpl if ((sample=4)and(asset=1))and((portn>10.5)and(portn<20.5))and((bday>1.5)and(bday<43.5))
equation eblhss4.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(411)*is11)+(c(412)*is12)+(c(413)*is13)+(c(414)*is14)+(c(415)*is15)+(c(416)*is16)+(c(417)*is17)+(c(418)*is18)+(c(419)*is19)+(c(420)*is20)+rhs)
scalar junk=eblhss4.@logl
results(2,23)=junk
delete junk
smpl if ((sample=4)and(asset=1))and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<43.5))
equation eblhss4.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(401)*is01)+(c(402)*is02)+(c(403)*is03)+(c(404)*is04)+(c(405)*is05)+(c(406)*is06)+(c(407)*is07)+(c(408)*is08)+(c(409)*is09)+(c(410)*is10)+(c(411)*is11)+(c(412)*is12)+(c(413)*is13)+(c(414)*is14)+(c(415)*is15)+(c(416)*is16)+(c(417)*is17)+(c(418)*is18)+(c(419)*is19)+(c(420)*is20)+rhs)
scalar junk=eblhss4.@logl
results(2,24)=junk
delete junk
' NASDAQ
smpl if ((sample=4)and(asset=2))and((portn>00.5)and(portn<10.5))and((bday>1.5)and(bday<43.5))
equation eblhsn4.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(601)*in01)+(c(602)*in02)+(c(603)*in03)+(c(604)*in04)+(c(605)*in05)+(c(606)*in06)+(c(607)*in07)+(c(608)*in08)+(c(609)*in09)+(c(610)*in10)+rhs)
scalar junk=eblhsn4.@logl
results(2,25)=junk
delete junk
smpl if ((sample=4)and(asset=2))and((portn>10.5)and(portn<20.5))and((bday>1.5)and(bday<43.5))
equation eblhsn4.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(611)*in11)+(c(612)*in12)+(c(613)*in13)+(c(614)*in14)+(c(615)*in15)+(c(616)*in16)+(c(617)*in17)+(c(618)*in18)+(c(619)*in19)+(c(620)*in20)+rhs)
scalar junk=eblhsn4.@logl
results(2,26)=junk
delete junk
smpl if ((sample=4)and(asset=2))and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<43.5))
equation eblhsn4.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(601)*in01)+(c(602)*in02)+(c(603)*in03)+(c(604)*in04)+(c(605)*in05)+(c(606)*in06)+(c(607)*in07)+(c(608)*in08)+(c(609)*in09)+(c(610)*in10)+(c(611)*in11)+(c(612)*in12)+(c(613)*in13)+(c(614)*in14)+(c(615)*in15)+(c(616)*in16)+(c(617)*in17)+(c(618)*in18)+(c(619)*in19)+(c(620)*in20)+rhs)
scalar junk=eblhsn4.@logl
results(2,27)=junk
delete junk
' Combined
smpl if (sample=4)and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<43.5))
equation eblhsall4.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(401)*is01)+(c(402)*is02)+(c(403)*is03)+(c(404)*is04)+(c(405)*is05)+(c(406)*is06)+(c(407)*is07)+(c(408)*is08)+(c(409)*is09)+(c(410)*is10)+(c(411)*is11)+(c(412)*is12)+(c(413)*is13)+(c(414)*is14)+(c(415)*is15)+(c(416)*is16)+(c(417)*is17)+(c(418)*is18)+(c(419)*is19)+(c(420)*is20)+(c(601)*in01)+(c(602)*in02)+(c(603)*in03)+(c(604)*in04)+(c(605)*in05)+(c(606)*in06)+(c(607)*in07)+(c(608)*in08)+(c(609)*in09)+(c(610)*in10)+(c(611)*in11)+(c(612)*in12)+(c(613)*in13)+(c(614)*in14)+(c(615)*in15)+(c(616)*in16)+(c(617)*in17)+(c(618)*in18)+(c(619)*in19)+(c(620)*in20)+rhs)
scalar junk=eblhsall4.@logl
results(2,28)=junk
delete junk
'
' Sample 5: July-August 2002
'
' Estimate the equations for the S&P (and then NASDAQ) in halves, then jointly, and then the S&P with the NASDAQ jointly
' S&P
smpl if ((sample=5)and(asset=1))and((portn>00.5)and(portn<10.5))and((bday>1.5)and(bday<43.5))
equation eblhss5.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(401)*is01)+(c(402)*is02)+(c(403)*is03)+(c(404)*is04)+(c(405)*is05)+(c(406)*is06)+(c(407)*is07)+(c(408)*is08)+(c(409)*is09)+(c(410)*is10)+rhs)
scalar junk=eblhss5.@logl
results(2,29)=junk
delete junk
smpl if ((sample=5)and(asset=1))and((portn>10.5)and(portn<20.5))and((bday>1.5)and(bday<43.5))
equation eblhss5.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(411)*is11)+(c(412)*is12)+(c(413)*is13)+(c(414)*is14)+(c(415)*is15)+(c(416)*is16)+(c(417)*is17)+(c(418)*is18)+(c(419)*is19)+(c(420)*is20)+rhs)
scalar junk=eblhss5.@logl
results(2,30)=junk
delete junk
smpl if ((sample=5)and(asset=1))and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<43.5))
equation eblhss5.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(401)*is01)+(c(402)*is02)+(c(403)*is03)+(c(404)*is04)+(c(405)*is05)+(c(406)*is06)+(c(407)*is07)+(c(408)*is08)+(c(409)*is09)+(c(410)*is10)+(c(411)*is11)+(c(412)*is12)+(c(413)*is13)+(c(414)*is14)+(c(415)*is15)+(c(416)*is16)+(c(417)*is17)+(c(418)*is18)+(c(419)*is19)+(c(420)*is20)+rhs)
scalar junk=eblhss5.@logl
results(2,31)=junk
delete junk
' NASDAQ
smpl if ((sample=5)and(asset=2))and((portn>00.5)and(portn<10.5))and((bday>1.5)and(bday<43.5))
equation eblhsn5.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(601)*in01)+(c(602)*in02)+(c(603)*in03)+(c(604)*in04)+(c(605)*in05)+(c(606)*in06)+(c(607)*in07)+(c(608)*in08)+(c(609)*in09)+(c(610)*in10)+rhs)
scalar junk=eblhsn5.@logl
results(2,32)=junk
delete junk
smpl if ((sample=5)and(asset=2))and((portn>10.5)and(portn<20.5))and((bday>1.5)and(bday<43.5))
equation eblhsn5.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(611)*in11)+(c(612)*in12)+(c(613)*in13)+(c(614)*in14)+(c(615)*in15)+(c(616)*in16)+(c(617)*in17)+(c(618)*in18)+(c(619)*in19)+(c(620)*in20)+rhs)
scalar junk=eblhsn5.@logl
results(2,33)=junk
delete junk
smpl if ((sample=5)and(asset=2))and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<43.5))
equation eblhsn5.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(601)*in01)+(c(602)*in02)+(c(603)*in03)+(c(604)*in04)+(c(605)*in05)+(c(606)*in06)+(c(607)*in07)+(c(608)*in08)+(c(609)*in09)+(c(610)*in10)+(c(611)*in11)+(c(612)*in12)+(c(613)*in13)+(c(614)*in14)+(c(615)*in15)+(c(616)*in16)+(c(617)*in17)+(c(618)*in18)+(c(619)*in19)+(c(620)*in20)+rhs)
scalar junk=eblhsn5.@logl
results(2,34)=junk
delete junk
' Combined
smpl if (sample=5)and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<43.5))
equation eblhsall5.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(401)*is01)+(c(402)*is02)+(c(403)*is03)+(c(404)*is04)+(c(405)*is05)+(c(406)*is06)+(c(407)*is07)+(c(408)*is08)+(c(409)*is09)+(c(410)*is10)+(c(411)*is11)+(c(412)*is12)+(c(413)*is13)+(c(414)*is14)+(c(415)*is15)+(c(416)*is16)+(c(417)*is17)+(c(418)*is18)+(c(419)*is19)+(c(420)*is20)+(c(601)*in01)+(c(602)*in02)+(c(603)*in03)+(c(604)*in04)+(c(605)*in05)+(c(606)*in06)+(c(607)*in07)+(c(608)*in08)+(c(609)*in09)+(c(610)*in10)+(c(611)*in11)+(c(612)*in12)+(c(613)*in13)+(c(614)*in14)+(c(615)*in15)+(c(616)*in16)+(c(617)*in17)+(c(618)*in18)+(c(619)*in19)+(c(620)*in20)+rhs)
scalar junk=eblhsall5.@logl
results(2,35)=junk
delete junk
'
' Sample 6: October-November 2002
'
' Estimate the equations for the S&P (and then NASDAQ) in halves, then jointly, and then the S&P with the NASDAQ jointly
' S&P
smpl if ((sample=6)and(asset=1))and((portn>00.5)and(portn<10.5))and((bday>1.5)and(bday<42.5))
equation eblhss6.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(401)*is01)+(c(402)*is02)+(c(403)*is03)+(c(404)*is04)+(c(405)*is05)+(c(406)*is06)+(c(407)*is07)+(c(408)*is08)+(c(409)*is09)+(c(410)*is10)+rhs)
scalar junk=eblhss6.@logl
results(2,36)=junk
delete junk
smpl if ((sample=6)and(asset=1))and((portn>10.5)and(portn<20.5))and((bday>1.5)and(bday<42.5))
equation eblhss6.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(411)*is11)+(c(412)*is12)+(c(413)*is13)+(c(414)*is14)+(c(415)*is15)+(c(416)*is16)+(c(417)*is17)+(c(418)*is18)+(c(419)*is19)+(c(420)*is20)+rhs)
scalar junk=eblhss6.@logl
results(2,37)=junk
delete junk
smpl if ((sample=6)and(asset=1))and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<42.5))
equation eblhss6.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(401)*is01)+(c(402)*is02)+(c(403)*is03)+(c(404)*is04)+(c(405)*is05)+(c(406)*is06)+(c(407)*is07)+(c(408)*is08)+(c(409)*is09)+(c(410)*is10)+(c(411)*is11)+(c(412)*is12)+(c(413)*is13)+(c(414)*is14)+(c(415)*is15)+(c(416)*is16)+(c(417)*is17)+(c(418)*is18)+(c(419)*is19)+(c(420)*is20)+rhs)
scalar junk=eblhss6.@logl
results(2,38)=junk
delete junk
' NASDAQ
smpl if ((sample=6)and(asset=2))and((portn>00.5)and(portn<10.5))and((bday>1.5)and(bday<42.5))
equation eblhsn6.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(601)*in01)+(c(602)*in02)+(c(603)*in03)+(c(604)*in04)+(c(605)*in05)+(c(606)*in06)+(c(607)*in07)+(c(608)*in08)+(c(609)*in09)+(c(610)*in10)+rhs)
scalar junk=eblhsn6.@logl
results(2,39)=junk
delete junk
smpl if ((sample=6)and(asset=2))and((portn>10.5)and(portn<20.5))and((bday>1.5)and(bday<42.5))
equation eblhsn6.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(611)*in11)+(c(612)*in12)+(c(613)*in13)+(c(614)*in14)+(c(615)*in15)+(c(616)*in16)+(c(617)*in17)+(c(618)*in18)+(c(619)*in19)+(c(620)*in20)+rhs)
scalar junk=eblhsn6.@logl
results(2,40)=junk
delete junk
smpl if ((sample=6)and(asset=2))and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<42.5))
equation eblhsn6.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(601)*in01)+(c(602)*in02)+(c(603)*in03)+(c(604)*in04)+(c(605)*in05)+(c(606)*in06)+(c(607)*in07)+(c(608)*in08)+(c(609)*in09)+(c(610)*in10)+(c(611)*in11)+(c(612)*in12)+(c(613)*in13)+(c(614)*in14)+(c(615)*in15)+(c(616)*in16)+(c(617)*in17)+(c(618)*in18)+(c(619)*in19)+(c(620)*in20)+rhs)
scalar junk=eblhsn6.@logl
results(2,41)=junk
delete junk
' Combined
smpl if (sample=6)and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<42.5))
equation eblhsall6.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(401)*is01)+(c(402)*is02)+(c(403)*is03)+(c(404)*is04)+(c(405)*is05)+(c(406)*is06)+(c(407)*is07)+(c(408)*is08)+(c(409)*is09)+(c(410)*is10)+(c(411)*is11)+(c(412)*is12)+(c(413)*is13)+(c(414)*is14)+(c(415)*is15)+(c(416)*is16)+(c(417)*is17)+(c(418)*is18)+(c(419)*is19)+(c(420)*is20)+(c(601)*in01)+(c(602)*in02)+(c(603)*in03)+(c(604)*in04)+(c(605)*in05)+(c(606)*in06)+(c(607)*in07)+(c(608)*in08)+(c(609)*in09)+(c(610)*in10)+(c(611)*in11)+(c(612)*in12)+(c(613)*in13)+(c(614)*in14)+(c(615)*in15)+(c(616)*in16)+(c(617)*in17)+(c(618)*in18)+(c(619)*in19)+(c(620)*in20)+rhs)
scalar junk=eblhsall6.@logl
results(2,42)=junk
delete junk

show results

output off
